#                                                                   <HTML><PRE>
#
# The makefile crtx.mak compiles and links program crt.for for complete
# ray tracing and calcompx.c that performs CalComp to Xlib ANSI C interface
# for PLOTS, PLOT and NEWPEN subroutines.
# .............................................................................
#
# Important before running the makefile:
# - X11R6 and libc developer files have to be installed on your UNIX
#   system. Please ask the system administrator for help if you are missing
#   the files.
# - Only the   INCLUDE 'plotnul.for'   line at the end of crt.for have
#   to be commented.
# - For compilers that support only *.f extension it is necessary to copy
#   crt.for to crt.f (e.g., HP-UX, IRIX).
# - HP-UX specifics: rename subroutine READV to e.g., READVG in val.for
#   (there is an internal compiler error).
# - Most UNIX Fortran compilers add underscore to the external names
#   (to avoid conflict with the names of library routines). Use conditional
#   compilation -DU_SCORE option for C compiler in this case.
# .............................................................................
#
# Remarks:
# - The size and position of the window with ray output is fixed. Change it
#   by editing the file calcompx.c (constants WIN_MIN_WIDTH, WIN_MAX_WIDTH,
#   WIN_MIN_HEIGHT, WIN_MAX_HEIGHT, WIN_MOVE_X, WIN_MOVE_Y).
# - The end of computation is announced in the title of window with ray
#   output. To continue press Return or Enter when this window is active.
#   When computing several wave codes, each code opens separate window.
#   Closing the last code window closes all opened ray windows.
# - The lines with compiler commands (e.g., g77, gcc) in makefile have
#   to start with tab character.
# - Ray computations with graphical screen output are slow. It is recommended
#   to use it for testing purposes (building model, debugging history
#   files, ...).
# .............................................................................
#
# This makefile was tested with:
# - GNU Fortran77 and C compilers on Linux RedHat system 5.0, 6.1 (PC with
#   Intel processor) and on SunOS Solaris 2.6 (Enterprise 1).
# - HP-UX 10.20 Fortran77 and C compilers.
# - IRIX (5.3, 6.5) Fortran77 and C compilers (does not support backing
#   store that automatically maintains the contents of a window while
#   it is obscured or unmapped).
#
# To run the makefile uncomment your platform or add your own configuration
# and type a command:
#   make -f crtx.mak
# -----------------------------------------------------------------------------
#
#   GNU g77 and gcc compilers:
#   ~~~~~~~~~~~~~~~~~~~~~~~~~~

#crtx:crt.o calcompx.o
#	g77 crt.o calcompx.o -O2 -o crtx -L/usr/X11R6/lib -lX11

#crt.o:crt.for
#	g77 -c crt.for

#calcompx.o:calcompx.c
#	gcc -ansi -O2 -DU_SCORE -c calcompx.c
#
#   HP-UX fort77 and cc compilers:
#   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#crtx:crt.o calcompx.o
#       fort77 crt.o calcompx.o -o crtx -lX11

#crt.o:crt.for
#       fort77 -c crt.f

#calcompx.o:calcompx.c
#       cc -Aa -c calcompx.c
#
#   IRIX f77 and cc compilers:
#   ~~~~~~~~~~~~~~~~~~~~~~~~~~

#crtx:crt.o calcompx.o
#       f77 crt.o calcompx.o -o crtx -lX11

#crt.o:crt.for
#       f77 -c crt.f

#calcompx.o:calcompx.c
#       cc -Aa -DU_SCORE -c calcompx.c
# -----------------------------------------------------------------------------
#                                                                   <HTML><PRE>
